Subject: Re: Let's bump the minimum Perl version to 5.8

From: Andreas Ericsson <[email-masked]>
Date: Sun, 26 Sep 2010 12:09:29 +0200

On 09/24/2010 09:10 PM, Ævar Arnfjörð Bjarmason wrote:
> On Fri, Sep 24, 2010 at 13:59, Andreas Ericsson<[email-masked]>  wrote:
>> On 09/24/2010 03:32 PM, Ævar Arnfjörð Bjarmason wrote:
>>> On Fri, Sep 24, 2010 at 13:08, Tor Arntsen<[email-masked]>    wrote:
>>>> On Fri, Sep 24, 2010 at 14:56, Ævar Arnfjörð Bjarmason<[email-masked]>    wrote:
>>>>
>>>>> However, I'd like to shift the discussion a bit: Do we want to support
>>>>> the 5.6 line *at all* anymore? I don't think so. As you point out
>>>>> yourself you can just compile 5.8 or later on these machines.
>>>>
>>>> 5.8 as minimum is probably for the best. It's not that just you can
>>>> compile a newer version (5.8), more importantly, Perl 5.8 is available
>>>> as a package from those semi-official 3party repositories for most
>>>> systems (at least the *nix systems I have access to)
>>>
>>> Do those repositories also have 5.10 and 5.12?
>>>
>>
>> Fedora 13 ships with Perl 5.10.0. IIRC, Fedora 12 (or possibly 11)
>> shipped with Perl 5.8. Let's not ask for more angry users than we
>> can handle. Since the current code seems to work fine with 5.8 and
>> later, I think that's a safe minimum to require for full git
>> functionality.
> 
> I didn't mean to suggest we bump to 5.10 now. I just thought I'd ask
> for the record in case we have this discussion again 3-4 years from
> now.
> 
>> Especially considering it was 3 years since we decided on 5.6, which
>> was by then 7 years old.
> 
> Do you happen to have a link to that discussion? I can't find it.

I was writing from memory, and I was wrong. Commit messages seems to
point to february 2006 as the "let's be Perl 5.6 compatible" time.

  git log --grep="Perl.*5.6"

might prove useful. 4.5 years then, and not 3. My, how time flies.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231

Considering the successes of the wars on alcohol, poverty, drugs and
terror, I think we should give some serious thought to declaring war
on peace.